Subject: bug#33158: 26.1; some vc operations on 'src' files result in 'src: -- is not registered'

From: Bob Hepple <[email-masked]>
Date: Sat, 27 Oct 2018 09:20:17 +1000

Odd indeed!

I'm using the most recent version 1.18 downloaded from gitlab e6acd942

Anyway:

$ src cat 2 tamborine.org # works fine but:

$ src cat 2 -- tamborine.org
src: -- is not registered

... so it looks like a disconnect between the 'src' doco and reality ie a
bug in 'src'. I'll raise a bug report with esr.

'src' does not use 'getopt' nor 'optparse' etc - it parses the command line
arguments itself. So I _think_ it's falling into one of the nasty edge
cases inherent in that approach.

I have my workaround - I guess it's up to you if you want to apply it in
vc-src.el for other users until esr fixes 'src'.

Thanks for your hard work on my favourite editor (since the mid-eighties!)

Cheers

Bob

On Sat, 27 Oct 2018 at 08:46, Glenn Morris <[email-masked]> wrote:

>
> This is odd since the "--" was added 4 years ago in baab20d by src's
> author,
> and http://www.catb.org/~esr/src/src.html says:
>
>     The token "--" tells the command-line interpreter that subcommands,
>     switches, and revision-specs are done - everything after it is a
>     filename, even if it looks like a subcommand or revision number.
>
>